VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Properties
VisiMath.SimpleTexturedVertex Struct Reference

Vertex containg only the position and texture coordinates. More...

Inheritance diagram for VisiMath.SimpleTexturedVertex:

List of all members.

## Public Member Functions
| SimpleTexturedVertex (Vector3 pos)
| SimpleTexturedVertex (Vector3 pos, Vector2 tex)
IVertex | CreateNew ()
| Creates new vertex.
IVertex | CreateNew (Vector3 pos)
| Creates new vertex with specified position.
IVertexArray | CreateArray (int count)
| Creates vertex array of this vertex type with specified number of elements.
System.Xml.Schema.XmlSchema | GetSchema ()
| Reqired by IXMLserializable.
void | ReadXml (System.Xml.XmlReader reader)
| Deserializes object from XML.
void | WriteXml (System.Xml.XmlWriter writer)
void | WriteXml (System.Xml.XmlWriter writer, string rootname)
## Public Attributes
Vector3 | position
Vector2 | texCoord
## Properties
Vector3 | Position`[get, set]`
| Position vector.
Vector3 | Normal`[get, set]`
| Normal vector.
ColorByte | Color`[get, set]`
| Main color.
Vector2 | TexCoord2`[get, set]`
| 2d texture coordinate

## Detailed Description

Vertex containg only the position and texture coordinates.

## Constructor & Destructor Documentation

VisiMath.SimpleTexturedVertex.SimpleTexturedVertex | ( | Vector3 | pos | ) |

VisiMath.SimpleTexturedVertex.SimpleTexturedVertex | ( | Vector3 | pos,
|  | Vector2 | tex
| ) |  |

## Member Function Documentation

IVertexArray VisiMath.SimpleTexturedVertex.CreateArray | ( | int | count | ) |

Creates vertex array of this vertex type with specified number of elements.

Parameters:

  count | Required number of elements

Returns:
  New vertexarray of this vertex type

Implements VisiMath.IVertex.

IVertex VisiMath.SimpleTexturedVertex.CreateNew | ( | Vector3 | pos | ) |

Creates new vertex with specified position.

Parameters:

  pos | Position

Returns:
  New vertex of the same format

Implements VisiMath.IVertex.

IVertex VisiMath.SimpleTexturedVertex.CreateNew | ( |  | ) |

Creates new vertex.

Returns:
  New vertex of the same format

Implements VisiMath.IVertex.

System.Xml.Schema.XmlSchema VisiMath.SimpleTexturedVertex.GetSchema | ( |  | ) |

Reqired by IXMLserializable.

Returns:
  Null

void VisiMath.SimpleTexturedVertex.ReadXml | ( | System.Xml.XmlReader | reader | ) |

Deserializes object from XML.

Parameters:

  reader | XML reader

void VisiMath.SimpleTexturedVertex.WriteXml | ( | System.Xml.XmlWriter | writer | ) |

void VisiMath.SimpleTexturedVertex.WriteXml | ( | System.Xml.XmlWriter | writer,
|  | string | rootname
| ) |  |

Implements VisiMath.IVertex.

## Member Data Documentation

Vector3 VisiMath.SimpleTexturedVertex.position

Vector2 VisiMath.SimpleTexturedVertex.texCoord

## Property Documentation

ColorByte VisiMath.SimpleTexturedVertex.Color`[get, set]`

Main color.

Implements VisiMath.IVertex.

Vector3 VisiMath.SimpleTexturedVertex.Normal`[get, set]`

Normal vector.

Implements VisiMath.IVertex.

Vector3 VisiMath.SimpleTexturedVertex.Position`[get, set]`

Position vector.

Implements VisiMath.IVertex.

Vector2 VisiMath.SimpleTexturedVertex.TexCoord2`[get, set]`

2d texture coordinate

Implements VisiMath.IVertex.

The documentation for this struct was generated from the following file:

- Vertex.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events